# Verse::Ruby

[![CircleCI](https://img.shields.io/circleci/project/github/thombruce/verse-ruby.svg)](https://circleci.com/gh/thombruce/verse-ruby) [![Coveralls](https://img.shields.io/coveralls/thombruce/verse-ruby.svg)](https://coveralls.io/github/thombruce/verse-ruby) [![Gemnasium](https://img.shields.io/gemnasium/thombruce/verse-ruby.svg)](https://gemnasium.com/github.com/thombruce/verse-ruby) [![Code Climate](https://img.shields.io/codeclimate/github/thombruce/verse-ruby.svg)](https://codeclimate.com/github/thombruce/verse-ruby) [![Beerpay](https://beerpay.io/thombruce/verse-ruby/badge.svg?style=beer)](https://beerpay.io/thombruce/verse-ruby)

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/verse`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'verse-ruby'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install verse-ruby

## Usage

Configure Verse with an initializer at `config/initializers/verse.rb`:

```ruby
Verse.configure do |config|
  config.url = ENV['VERSE_API_URL']
  config.app_token = ENV['VERSE_APP_TOKEN']
end
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/verse-ruby. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

