# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'verse/version'

Gem::Specification.new do |spec|
  spec.name          = "verse-ruby"
  spec.version       = Verse::VERSION
  spec.authors       = ["Thom Bruce"]
  spec.email         = ["thom@thombruce.com"]

  spec.summary       = %q{API for Verse.}
  spec.description   = %q{Provides appropriately mapped model resources for the Verse API.}
  spec.homepage      = "http://github.com/thombruce/verse-ruby"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "coveralls", "~> 0.8"
  spec.add_development_dependency "rake", "~> 12.1"
  spec.add_development_dependency "rspec", "~> 3"
  spec.add_development_dependency "rubocop", "~> 0.51.0"
  spec.add_development_dependency "vcr", "~> 4.0.0"
  spec.add_development_dependency "webmock", "~> 3.1.1"

  spec.add_dependency "activesupport", "~> 5.1.0.rc1"
  spec.add_dependency "her", "~> 0.10.0"
  spec.add_dependency "jwt", "~> 2.1.0"
  spec.add_dependency "request_store", "~> 1.3.2"
end
